#include "led_controller.h"
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string>

void LEDController::control(std::string led, int mode) {
	int fd;
	std::string path = "/sys/class/leds/" + led;
	char file[512];

	sprintf(file, "%s/brightness", path.c_str());
	fd = open(file, O_WRONLY);
	if (fd < 0)
		return;

	if (mode)
		write(fd, "1", 1);
	else 
		write(fd, "0", 1);

	close(fd);
}

int LEDController::status(std::string led) {
	int fd, led_val;
	std::string path = "/sys/class/leds/" + led;
	char file[512];
	char buff[10];

	sprintf(file, "%s/brightness", path.c_str());
	fd = open(file, O_RDONLY);
	if (fd < 0)
		return -1;
	read(fd, buff, 10);
	led_val = atoi(buff);
	close(fd);

	return led_val ? 1 : 0;
}
